MsWrdStruct::ParagraphInfo Struct Reference documentation

MsWrdStruct::ParagraphInfo Struct Reference

the paragraph information of a Microsoft Word file (PHE) More...

`#include <MsWrdStruct.hxx>`

## Public Member Functions
| ParagraphInfo ()
| constructor
bool | isLineSet () const
| returns true if num lines is set
bool | isEmpty () const
| returns true if no data are been set
bool | read (MWAWInputStreamPtr &input, long endPos, int vers)
| try to read a data
void | insert (ParagraphInfo const &pInfo)
| insert the new values

## Public Attributes
MWAWVariable< int > | m_type
| the type
MWAWVariable< MWAWVec2f > | m_dim
| the zone dimension
MWAWVariable< int > | m_numLines
| the number of lines
std::string | m_error
| the errors

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphInfo const &pInfo)
| operator<<

## Detailed Description

the paragraph information of a Microsoft Word file (PHE)

## Constructor & Destructor Documentation

## ◆ ParagraphInfo()

MsWrdStruct::ParagraphInfo::ParagraphInfo | ( |  | ) |
| inline

constructor

Referenced by insert(), and operator<<.

## Member Function Documentation

## ◆ insert()

void MsWrdStruct::ParagraphInfo::insert | ( | ParagraphInfo const & | pInfo | ) |

insert the new values

## ◆ isEmpty()

bool MsWrdStruct::ParagraphInfo::isEmpty | ( |  | ) | const
| inline

returns true if no data are been set

## ◆ isLineSet()

bool MsWrdStruct::ParagraphInfo::isLineSet | ( |  | ) | const
| inline

returns true if num lines is set

## ◆ read()

bool MsWrdStruct::ParagraphInfo::read | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | int | vers )

try to read a data

Referenced by MsWrdText::readParagraphInfo().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ParagraphInfo const & | pInfo )
| friend

operator<<

## Member Data Documentation

## ◆ m_dim

MWAWVariable<MWAWVec2f> MsWrdStruct::ParagraphInfo::m_dim

the zone dimension

Referenced by insert(), isEmpty(), operator<<, ParagraphInfo(), and read().

## ◆ m_error

std::string MsWrdStruct::ParagraphInfo::m_error

the errors

Referenced by insert(), operator<<, and ParagraphInfo().

## ◆ m_numLines

MWAWVariable<int> MsWrdStruct::ParagraphInfo::m_numLines

the number of lines

Referenced by insert(), isEmpty(), isLineSet(), operator<<, ParagraphInfo(), and read().

## ◆ m_type

MWAWVariable<int> MsWrdStruct::ParagraphInfo::m_type

the type

Referenced by insert(), isEmpty(), operator<<, ParagraphInfo(), and read().

The documentation for this struct was generated from the following files:

- MsWrdStruct.hxx
- MsWrdStruct.cxx